{% extends "customers/base.html" %}
{% load staticfiles %}
{% load active_tag %}
{% load widget_tweaks %}

{% block pagelevelcss %}
  <link href="{% static 'assets/plugins/bootstrap-datepicker/dist/css/bootstrap-datepicker.min.css' %}" rel="stylesheet" />
  <link href="{% static 'assets/plugins/bootstrap-datepicker/dist/css/bootstrap-datepicker3.min.css' %}" rel="stylesheet" />
{% endblock %}

{% block title %}Editar cliente{% endblock %}

{% block page %}
	<!-- begin breadcrumb -->
	<ol class="breadcrumb float-xl-right">
		<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
		<li class="breadcrumb-item"><a href="{% url 'customer-list' %}">Clientes</a></li>
    <li class="breadcrumb-item"><a href="{% url 'customer-detail' pk=customer.pk %}">{{ customer.rut }}</a></li>
    <li class="breadcrumb-item active">Editar Cliente</li>
	</ol>
	<!-- end breadcrumb -->

	<!-- begin page-header -->
	<h1 class="page-header">{{ customer.name }}</h1>
	<!-- end page-header -->

	<ul class="nav nav-pills mb-2">
		<li class="nav-item {% add_active request 'customer-detail' %}">
			<a href="{% url 'customer-detail' customer.pk %}"class="nav-link">
				<span class="d-sm-none">General</span>
				<span class="d-sm-block d-none">General</span>
			</a>
		</li>
		<li class="nav-item {% add_active request 'service-list' %}">
			<a href="{% url 'service-list' customer.pk %}" class="nav-link">
				<span class="d-sm-none">Servicios</span>
				<span class="d-sm-block d-none">Servicios</span>
			</a>
		</li>
        {% if service_preselect %}
		<li class="nav-item {% add_active request 'service-list' %}">
			<a href="{% url 'service-detail' service_preselect.pk %}" class="nav-link">
				<span class="d-sm-none" title="Unico servicio del cliente">#{{service_preselect.number}}</span>
				<span class="d-sm-block d-none" title="Unico servicio del cliente">#{{service_preselect.number}}</span>
			</a>
		</li>
		{% endif %}
		<li class="nav-item {% add_active request 'customer-payment-methods' %}">
			<a href="{% url 'customer-payment-methods' customer.pk %}" class="nav-link">
				<span class="d-sm-none">Métodos de Pago</span>
				<span class="d-sm-block d-none">Métodos de Pago</span>
			</a>
		</li>
		<li class="nav-item {% add_active request 'invoice-list' %}">
			<a href="{% url 'invoice-list' customer.pk %}" class="nav-link">
				<span class="d-sm-none">Estado de Cuenta</span>
				<span class="d-sm-block d-none">Estado de Cuenta</span>
			</a>
		</li>
        <li class="nav-item {% add_active request 'invoice-list' %}">
			<a href="{% url 'customer-configuration' customer.pk %}" class="nav-link">
				<span class="d-sm-none">Configuración</span>
				<span class="d-sm-block d-none">Configuración</span>
			</a>
		</li>
	</ul>

	  
	<!-- begin row -->
	<div class="row">
		<!-- begin col-12 -->
		<div class="col-xl-6 ui-sortable">
			<!-- begin panel -->
			<div class="panel panel-inverse" data-sortable-id="ui-general-1">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
					<h4 class="panel-title">Editar Cliente</h4>
					<div class="panel-heading-btn">
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
					</div>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
				<div class="panel-body">
          <div class="row mb-3">
            <div class="col-sm-12 col-md-12">
             <strong>Dirección actual: </strong>  {{object.address}}
              <button id="cancel-button" type="button" class="btn btn-default btn-sm pull-right ml-1"><i class="fa fa-window-close"></i></button>
              <button id="save-button" type="button" class="btn btn-success btn-sm pull-right ml-1"><i class="fa fa-save"></i></button>
            </div>
          </div>

            <form id="customer-form" class="form-horizontal" method="post">
              {% csrf_token %}
              {{ form.media }}
              <strong>{{ form.non_field_errors }} </strong>
              <div class="tab-content">
                <div id="general" role="tabpanel" class="tab-pane active">

                  <div class="form-group row m-b-15">
                    <label for="id_type_of_document" class="col-form-label col-md-3">Tipo de documento</label>
                    <div class="col-sm-9">
                      {% render_field form.type_of_document class="form-control m-b-5" %}
                      {% for error in form.type_of_document.errors %}
                       <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>
                  <div class="form-group row m-b-15" id="type_rut">
                    <label for="id_kind" class="col-form-label col-md-3">Tipo de RUT</label>
                    <div class="col-sm-9">
                      {% render_field form.kind class="form-control m-b-5" %}
                      {% for error in form.kind.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>

                  <div class="form-group row m-b-15">
                    <label for="id_kind" class="col-form-label col-md-3">Documento de identidad</label>
                    <div class="col-sm-9">
                      {% render_field form.rut class="form-control m-b-5" %}
                      {% for error in form.rut.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>
                  
                         
                          <div id="name-group" class="form-group row m-b-15">
                            <label for="id_name" class="col-sm-3 control-label">{% if form.kind.value == 1 or form.kind.value == '1' %}Nombre{% else %}Razón Social{% endif %}</label>
                            <div class="col-sm-9">
                  {% render_field form.first_name class="form-control" %}
                  {% for error in form.first_name.errors %}
                  <span style="color: #E5343D; font-weight: 400;">{{ error }}</span>
                  {% endfor %}
                            </div>
                          </div>

                          <div id="last_name-group" class="form-group row m-b-15">
                            <label for="id_last_name" class="col-sm-3 control-label">Apellido</label>
                            <div class="col-sm-9">
                  {% render_field form.last_name class="form-control" %}
                  {% for error in form.last_name.errors %}
                  <span style="color: #E5343D; font-weight: 400;">{{ error }}</span>
                  {% endfor %}
                            </div>
                          </div>
            
                            <div id="first-category-activity-group" class="form-group row m-b-15" class = "hidden">
                            
                                  <label for="id_first_category_activity" class="col-sm-3 control-label" >Giro de Primera Categoría</label>
                                  <div class="col-sm-9" >
                                      {% render_field form.first_category_activity %}
                                      {% for error in form.first_category_activity.errors %}
                                      <span style="color: #E5343D; font-weight: 400;">{{ error }}</span>
                                      {% endfor %}
                                  </div>
                             </div> 
  
                          <div id="commercial-activity-group" class="form-group row m-b-15">
                            <label for="id_commercial_activity" class="col-sm-3 control-label">Nombre de Giro</label>
                            <div class="col-sm-9">
                              <select name="commercial_activity" id="commercial_activity" class="form-control">
                                {% for activity in commercial_activities %}
                                  {% if activity.code %}
                                    <option value="{{activity.pk}}" {% if active_commercial_activity.pk == activity.pk %} selected {% endif %}>
                                      {{activity.code}} - {{activity.name}}
                                      </option>
                                  {% else %}
                                    <option value="{{activity.pk}}" {% if active_commercial_activity.pk == activity.pk %} selected {% endif %}>
                                      {{activity.name}}
                                    </option>
                                  {% endif %}
                                {% endfor %}
                              </select>
                            </div>
                          </div>
                          <div id="birth-date-group" class="form-group row m-b-15 {% if form.kind.value == 1 or form.kind.value == '1' %}{% else %} hidden{% endif %}">
                            <label class="col-sm-3 control-label">Fecha de nacimiento</label>
                            <div class="col-sm-9">
                  {% render_field form.birth_date class="form-control datepicker" %}
                  {% for error in form.birth_date.errors %}
                  <span style="color: #E5343D; font-weight: 400;">{{ error }}</span>
                  {% endfor %}
                            </div>
                          </div>
                          <div class="form-group row m-b-15">
                            <label for="id_email" class="col-sm-3 control-label">Email</label>
                            <div class="col-sm-9">
                  {{ form.email|add_error_class:"has-error"|add_class:"form-control"}}
                  {% for error in form.email.errors %}
                  <span style="color: #E5343D; font-weight: 400;">{{ error }}</span>
                  {% endfor %}
                            </div>
                          </div>
                          <!--
                          <div class="form-group row m-b-15">
                            <label for="id_street" class="col-sm-3 control-label">Calle</label>
                            <div class="col-sm-9">
                  {% render_field form.street class="form-control" %}
                  {% for error in form.street.errors %}
                  <span style="color: #E5343D; font-weight: 400;">{{ error }}</span>
                  {% endfor %}
                            </div>
                          </div>
                          <div class="form-group row m-b-15">
                            <label for="id_house_number" class="col-sm-3 control-label">Número</label>
                            <div class="col-sm-9">
                  {% render_field form.house_number class="form-control" %}
                  {% for error in form.house_number.errors %}
                  <span style="color: #E5343D; font-weight: 400;">{{ error }}</span>
                  {% endfor %}
                            </div>
                          </div>
                          <div class="form-group row m-b-15">
                            <label for="id_apartment_number" class="col-sm-3 control-label">Número departamento</label>
                            <div class="col-sm-9">
                  {% render_field form.apartment_number class="form-control" %}
                  {% for error in form.apartment_number.errors %}
                  <span style="color: #E5343D; font-weight: 400;">{{ error }}</span>
                  {% endfor %}
                            </div>
                          </div>
                          <div class="form-group row m-b-15">
                            <label for="id_tower" class="col-sm-3 control-label">Torre</label>
                            <div class="col-sm-9">
                  {% render_field form.tower class="form-control" %}
                  {% for error in form.tower.errors %}
                  <span style="color: #E5343D; font-weight: 400;">{{ error }}</span>
                  {% endfor %}
                            </div>
                          </div> -->
                          <div class="form-group row m-b-15">
                            <label for="id_location" class="col-sm-3 control-label">Comuna</label>
                            <div class="col-sm-9">
                  {% render_field form.location class="form-control" %}
                    {% for error in form.location.errors %}
                  <span style="color: #E5343D; font-weight: 400;">{{ error }}</span>
                  {% endfor %}
                            </div>
                          </div>
                          <div class="form-group row m-b-15">
                            <label for="id_phone" class="col-sm-3 control-label">Teléfono</label>
                            <div class="col-sm-9">
                  {% render_field form.phone class="form-control" %}
                    {% for error in form.phone.errors %}
                  <span style="color: #E5343D; font-weight: 400;">{{ error }}</span>
                  {% endfor %}
                            </div>
                          </div>
                          <div class="form-group row m-b-15">
                            <label for="id_phone" class="col-sm-3 control-label">¿Facturación unificada?</label>
                            <div class="col-sm-9">
                  {% render_field form.unified_billing %}
                    {% for error in form.unified_billing.errors %}
                  <span style="color: #E5343D; font-weight: 400;">{{ error }}</span>
                  {% endfor %}
                            </div>
                          </div>

                  
                          <div id="selectores"></div>
                        
                          <div class="form-group row m-b-15" hidden>
                            <label for="street_location_id" class="col-form-label col-md-3">Calle</label>
                            <div class="col-sm-9">
                  {% render_field form.street_location_id class="form-control m-b-5" %}
                  {% for error in form.street_location_id.errors %}
                 <small class="f-s-12 text-danger">{{ error }}</small>
                  {% endfor %}
                            </div>
                          </div>
                          <div class="form-group row m-b-15" hidden>
                            <label for="id_pulso" class="col-form-label col-md-3">Pulso</label>
                            <div class="col-sm-9">
                  {% render_field form.id_pulso class="form-control m-b-5" %}
                  {% for error in form.id_pulso.errors %}
                 <small class="f-s-12 text-danger">{{ error }}</small>
                  {% endfor %}
                            </div>
                          </div>
                          <div class="form-group row m-b-15">
                            <label for="id_notes" class="col-sm-3 control-label">Observaciones</label>
                            <div class="col-sm-9">
                  {% render_field form.notes class="form-control" %}
                    {% for error in form.notes.errors %}
                  <span style="color: #E5343D; font-weight: 400;">{{ error }}</span>
                  {% endfor %}
                            </div>
                          </div>
        
              <hr>
              
        
              
                        </div>
            <!-- Shipping tab -->
                        <div id="shipping" role="tabpanel" class="tab-pane">
                        </div>
        
                      </div>
                    
        </div>
        
				<!-- end panel-body -->
      </div>
      
			<!-- end panel -->
    </div>
    <div class="col-xl-6 ui-sortable">
      <div class="panel panel-primary" data-sortable-id="ui-general-4">
        <div class="panel-heading ui-sortable-handle">
					<h4 class="panel-title">Editar Información de Contacto</h4>
					<div class="panel-heading-btn">
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
					</div>
        </div>

        <div class="panel-body">
          <div class="row mb-3">
            <div class="col-sm-12 col-md-12">
              <button id="cancel-button2" type="button" class="btn btn-default btn-sm pull-right ml-1"><i class="fa fa-window-close"></i></button>
              <button id="save-button2" type="button" class="btn btn-success btn-sm pull-right ml-1"><i class="fa fa-save"></i></button>
            </div>
          </div>
        
              {{ inlines.management_form }}
              {% for inline_form in inlines %}
              <div class="panel">
                <div class="panel-body">
                  {{ inline_form.id }}
                  <div class="form-group row m-b-15">
                    <label for="FIXME" class="col-sm-3 control-label">{{ inline_form.kind.label }}</label>
                    <div class="col-sm-9">
                      {% render_field inline_form.kind class="form-control" %}
                      {% for error in inline_form.kind.errors %}
                      <span style="color: #E5343D; font-weight: 400;">{{ error }}</span>
                      {% endfor %}
                    </div>
                  </div>
                  <div class="form-group row m-b-15">
                    <label for="FIXME" class="col-sm-3 control-label">{{ inline_form.name.label }}</label>
                    <div class="col-sm-9">
                      {% render_field inline_form.name class="form-control" %}
                      {% for error in inline_form.name.errors %}
                      <span style="color: #E5343D; font-weight: 400;">{{ error }}</span>
                      {% endfor %}
                     </div>
                  </div>
                  <div class="form-group row m-b-15">
                    <label for="FIXME" class="col-sm-3 control-label">{{ inline_form.phone.label }}</label>
                    <div class="col-sm-9">
                    {% render_field inline_form.phone class="form-control" %}
                    {% for error in inline_form.phone.errors %}
                    <span style="color: #E5343D; font-weight: 400;">{{ error }}</span>
                    {% endfor %}
                    </div>
                  </div>
                  <div class="form-group row m-b-15">
                    <label for="FIXME" class="col-sm-3 control-label">{{ inline_form.email.label }}</label>
                    <div class="col-sm-9">
                      {% render_field inline_form.email class="form-control" %}
                      {% for error in inline_form.email.errors %}
                      <span style="color: #E5343D; font-weight: 400;">{{ error }}</span>
                      {% endfor %}
                      </div>
                  </div>
                </div>
              </div>
              {% endfor %}
            </form>
      </div>
    </div>
    
	</div>
	<!-- end row -->

	<!-- begin scroll to top btn -->
	<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
  <!-- end scroll to top btn -->
  

{% endblock %}

{% block pageleveljs %}
<script src="{% static 'js/pulso_form.js' %}"></script>
<script src="{% static 'js/select2.min.js' %}"></script>
<script src="{% static 'assets/plugins/select2/dist/js/select2.min.js' %}"></script>
<script>
$(document).ready(function(){
// Carga de Js para Selectores

$("#id_type_of_document").on('change',function(){
  
  if (document.getElementById("id_type_of_document").value==="1"){
    $('#type_rut').show()
  } else {
    $('#type_rut').hide()
  }
})

var selects = new SPA();


var content = selects.Select('Region','region')
content += selects.Select('Comuna','commune')
content += selects.Select('Calle','street')
content += selects.Select('Nro de Calle','street_location')
content += selects.Select('Nro de Casa o Dpto.','complete_location')

var api_url = 'https://pulso.multifiber.cl/';
$("#selectores").empty().append(content);
//$("#selectores1").empty().append(content);
$("#region,#commune,#street,#street_location,#complete_location").select2({width:'100%'})

url_region = '../../../region-ac/';
selects.Select2AjaxWithoutModal(url_region,'region','Region');

$("#region").on('change',function(){
    var region = $("#region").val();
    url_commune = `/commune-ac/${region}/`;
    selects.Select2AjaxWithoutModal(url_commune,'commune','Comuna');

    $("#commune").on('change',function(){
        var commune = $("#commune").val();
        url_street = `/street-ac/${commune}/`;
        selects.Select2AjaxWithoutModal(url_street,'street','Calle');

        $("#street").on('change',function(){
            var street = $("#street").val();
            url_street_location = `/street-location-ac/${street}/`;
            selects.Select2AjaxWithoutModal(url_street_location,'street_location','Nro de calle');

            $("#street_location").on('change',function(){
                var street_location = $("#street_location").val();
                url_complete_location = `/complete-location-ac/${street_location}/`;
                selects.Select2AjaxWithoutModal(url_complete_location,'complete_location','Nro Casa o Dpto');
                document.getElementById("id_street_location_id").value = street_location;

                $("#complete_location").on('change',function(){

                    var complete_location = $(this).val();
                    document.getElementById("id_id_pulso").value = complete_location;
                })
            })
        })
    })

})

function reset_select(){
    $("#region,#commune,#street,#street_location,#complete_location")
    .val('')
    .trigger('change');
}

function SeparateNumber(val, param = 'entero') {
    // Separa con puntos y como los nÃºmeros en el datatable
    if (param != 'entero') {
        decimal = 2
    } else {
        decimal = 0
    }
    val = val.toFixed(decimal).replace('.', ',').replace(/(\d)(?=(\d{3})+(?!\d))/g, '$1.')
    while (/(\d+)(\d{3})/.test(val.toString())) {
        val = val.toString().replace(/(\d)(?=(\d{3})+(?!\d))/g, '$1.');
    }
    return val
}
});

function customerAddress() {
  var first = $('#street_location').val();
  var last = $('#complete_location').val();
  window.location.href = window.location+first+"/"+last+"/";
}
function reply_click(clicked_id){ 
  var number = clicked_id.replace('service/', '');
  //alert(number);
  var first = $('#street_location'+number).val();
  var last = $('#complete_location'+number).val();
  window.location.href = "../../update_"+clicked_id+"/"+first+"/"+last+"/";
} 
</script>
  <script src="{% static 'assets/plugins/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js' %}"></script>
  <script type="text/javascript">
    $(document).ready(function(){
      $(".datepicker").datepicker({format: 'dd/mm/yyyy'});
      
      function checkKind(){
        var kind = $('#id_kind').val();
        if (kind == 2) {
          $('#first-category-activity-group').removeClass('hide');
          $('#commercial-activity-group').removeClass('hide');
          $('#last_name-group').addClass('hide');
          $('#name-group').find('label').text('Razón Social');
          $('#commercial-activity-group').removeClass('hidden');
          $('#first-category-activity-group').removeClass('hidden');
          $('#id_first_category_activity').prop('checked', true);
          $('#id_first_category_activity').on('change',function(){
            if ($('#id_kind').val() == 2){
              $('#id_first_category_activity').prop('checked', true);
              $('#commercial-activity-group').removeClass('hidden');
            }
          })
          $('#birth-date-group').addClass('hidden');

        } else if (kind == 1) {
          if ( !$('#id_first_category_activity').is(":checked") ){
            
            $('#commercial-activity-group').addClass('hidden');
            $('#commercial_activity').val(null)        
          }
          $('#last_name-group').removeClass('hide');
          $('#name-group').find('label').text('Nombre');
          $('#birth-date-group').removeClass('hidden');
          $('#first-category-activity-group').addClass('hide');
          $('#commercial-activity-group').addClass('hide');
          
          $('#id_first_category_activity').on('change', function(){
            
            if ($('#id_kind').val() == 1){
              if ( $('#id_first_category_activity').is(":checked") ){
                console.log('alfa3')
                $('#commercial-activity-group').removeClass('hidden');
                $('#commercial_activity').val( {{ commercial_activities.0.pk }} );
              } else {
                $('#commercial-activity-group').addClass('hidden');
                $('#commercial_activity').val(null)
              }
            }
          });
          
        }
      };

      checkKind();

      $('#id_kind').on('change', function() {
        checkKind();
      });

      // save and cancel buttons
      $('#save-button').click(function() {
        $('#customer-form').submit();
      });
      $('#cancel-button').click(function() {
        window.location.href = '/customers/{% if object %}{{ object.pk }}/{% endif %}';
      });
      $('#save-button2').click(function() {
        $('#customer-form').submit();
      });
      $('#cancel-button2').click(function() {
        window.location.href = '/customers/{% if object %}{{ object.pk }}/{% endif %}';
      });
    });
  </script>
{% endblock %}

